AnsweredAssumed Answered

Wolfenstein II Requires Crimson 171.0.2 and Windows 10?

Question asked by evgen_evr on Nov 2, 2017
Latest reply on Nov 6, 2017 by amdmatt

how to play the game Wolfenstein 2 on Windows 8.1. The game requires a new driver AMD 17.10.2. But I can not install it on Windows 8.1. The latest driver is available on 8.1. 17.7.1. What should I do, how to start the game.

 

Message was edited by: Matt B We have updated the title of this discussion with relevant details to better describe your issue.

Outcomes